---
title: WebGL2RenderingContext.fenceSync()
slug: Web/API/WebGL2RenderingContext/fenceSync
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGL2RenderingContext.fenceSync()</strong></code> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> creates a new {{domxref("WebGLSync")}} object and inserts it into the GL command stream.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">WebGLSync <var>gl</var>.fenceSync(<var>condition</var>, <var>flags</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>condition</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the condition that must be met to set the sync object's state to signaled. Must be <code>gl.SYNC_GPU_COMMANDS_COMPLETE</code>.</dd>
 <dt>flags</dt>
 <dd>A {{domxref("GLbitfield")}} specifying a bitwise combination of flags controlling the behavior of the sync object. Must be <code>0</code> (exists for extensions only).</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("WebGLSync")}} object.</p>

<h2 id="Examples">Examples</h2>

<p><code>gl</code> must be a {{domxref("WebGL2RenderingContext")}}. <code>WebGLSync</code> objects are not available in WebGL 1.</p>

<pre class="brush: js">var sync = gl.fenceSync(gl.SYNC_GPU_COMMANDS_COMPLETE, 0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.14", "fenceSync")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glFenceSync.xhtml", "glFenceSync")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.fenceSync")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLSync")}}</li>
</ul>
